<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@drawable/no_nav_bg">
    <com.ldt.springback.view.SpringBackLayout
        android:layout_width="wrap_content"
        android:layout_height="750dp"
        android:layout_marginStart="40dp"
        android:layout_marginTop="30dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">
        <androidx.core.widget.NestedScrollView
            android:id="@+id/scrollView"
            android:layout_width="wrap_content"
            android:layout_height="750dp">

            <com.module.backstage.weight.FlowRadioGroup

                android:id="@+id/fl_language"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:padding="@dimen/dp_10">

                <RadioButton
                    android:id="@+id/rb_chinese"
                    android:layout_width="400dp"
                    android:layout_height="wrap_content"
                    android:layout_marginRight="20dp"
                    android:layout_marginBottom="40dp"
                    android:background="@drawable/backstage_selector_language"
                    android:button="@null"
                    android:maxHeight="90dp"
                    android:minHeight="78dp"
                    android:paddingLeft="40dp"
                    android:text="中文"
                    android:textColor="#576478"
                    android:textSize="32sp" />

                <RadioButton
                    android:id="@+id/rb_english"
                    android:layout_width="400dp"
                    android:layout_height="wrap_content"
                    android:layout_marginRight="20dp"
                    android:layout_marginBottom="40dp"
                    android:textColor="#576478"
                    android:background="@drawable/backstage_selector_language"
                    android:button="@null"
                    android:maxHeight="90dp"
                    android:minHeight="78dp"
                    android:paddingLeft="40dp"
                    android:text="英语"
                    android:textSize="32sp" />

                <RadioButton
                    android:id="@+id/rb_german"
                    android:layout_width="400dp"
                    android:layout_height="wrap_content"
                    android:layout_marginRight="20dp"
                    android:textColor="#576478"
                    android:layout_marginBottom="40dp"
                    android:background="@drawable/backstage_selector_language"
                    android:button="@null"
                    android:maxHeight="90dp"
                    android:minHeight="78dp"
                    android:paddingLeft="40dp"
                    android:text="Deutsch(德语)"
                    android:textSize="32sp" />

                <RadioButton
                    android:id="@+id/rb_russia"
                    android:layout_width="400dp"
                    android:layout_height="wrap_content"
                    android:layout_marginRight="20dp"
                    android:textColor="#576478"
                    android:layout_marginBottom="40dp"
                    android:background="@drawable/backstage_selector_language"
                    android:button="@null"
                    android:maxHeight="90dp"
                    android:minHeight="78dp"
                    android:paddingLeft="40dp"
                    android:text="русский язык(俄语)"
                    android:textSize="32sp" />


                <RadioButton
                    android:id="@+id/rb_japanese"
                    android:layout_width="400dp"
                    android:layout_height="wrap_content"
                    android:textColor="#576478"
                    android:layout_alignStart="@+id/rg_language2"
                    android:layout_alignTop="@+id/rg_language2"
                    android:layout_marginRight="20dp"
                    android:layout_marginBottom="40dp"
                    android:background="@drawable/backstage_selector_language"
                    android:button="@null"
                    android:maxHeight="90dp"
                    android:minHeight="78dp"
                    android:paddingLeft="40dp"
                    android:text="日本語(日语)"
                    android:textSize="32sp" />

                <RadioButton
                    android:id="@+id/rb_Spanish"
                    android:layout_width="400dp"
                    android:layout_height="wrap_content"
                    android:layout_marginRight="20dp"
                    android:layout_marginBottom="40dp"
                    android:textColor="#576478"
                    android:background="@drawable/backstage_selector_language"
                    android:button="@null"
                    android:maxHeight="90dp"
                    android:minHeight="78dp"
                    android:paddingLeft="40dp"
                    android:text="Español(西班牙语)"
                    android:textSize="32sp" />

                <RadioButton
                    android:id="@+id/rb_french"
                    android:layout_width="400dp"
                    android:layout_height="wrap_content"
                    android:textColor="#576478"
                    android:layout_marginRight="20dp"
                    android:layout_marginBottom="40dp"
                    android:background="@drawable/backstage_selector_language"
                    android:button="@null"
                    android:maxHeight="90dp"
                    android:minHeight="78dp"
                    android:paddingLeft="40dp"
                    android:text="Français(法语)"
                    android:textSize="32sp" />

                <RadioButton
                    android:id="@+id/rb_bulgaria"
                    android:layout_width="400dp"
                    android:textColor="#576478"
                    android:layout_height="wrap_content"
                    android:layout_marginRight="20dp"
                    android:layout_marginBottom="40dp"
                    android:background="@drawable/backstage_selector_language"
                    android:button="@null"
                    android:maxHeight="90dp"
                    android:minHeight="78dp"
                    android:paddingLeft="40dp"
                    android:text="България(保加利亚语)"
                    android:textSize="32sp" />

                <RadioButton
                    android:id="@+id/rb_danmai"
                    android:layout_width="400dp"
                    android:textColor="#576478"
                    android:layout_height="wrap_content"
                    android:layout_marginRight="20dp"
                    android:layout_marginBottom="40dp"
                    android:background="@drawable/backstage_selector_language"
                    android:button="@null"
                    android:maxHeight="90dp"
                    android:minHeight="78dp"
                    android:paddingLeft="40dp"
                    android:text="Dansk(丹麦语)"
                    android:textSize="32sp" />

                <RadioButton
                    android:id="@+id/rb_fenlan"
                    android:textColor="#576478"
                    android:layout_width="400dp"
                    android:layout_height="wrap_content"
                    android:layout_marginRight="20dp"
                    android:layout_marginBottom="40dp"
                    android:background="@drawable/backstage_selector_language"
                    android:button="@null"
                    android:maxHeight="90dp"
                    android:minHeight="78dp"
                    android:paddingLeft="40dp"
                    android:text="Suomalainen(芬兰语)"
                    android:textSize="32sp" />

                <RadioButton
                    android:id="@+id/rb_helan"
                    android:layout_width="400dp"
                    android:layout_height="wrap_content"
                    android:layout_marginRight="20dp"
                    android:textColor="#576478"
                    android:layout_marginBottom="40dp"
                    android:background="@drawable/backstage_selector_language"
                    android:button="@null"
                    android:maxHeight="90dp"
                    android:minHeight="78dp"
                    android:paddingLeft="40dp"
                    android:text="Nederlands(荷兰语)"
                    android:textSize="32sp" />

                <RadioButton
                    android:id="@+id/rb_jieke"
                    android:layout_width="400dp"
                    android:layout_height="wrap_content"
                    android:layout_marginRight="20dp"
                    android:layout_marginBottom="40dp"
                    android:textColor="#576478"
                    android:background="@drawable/backstage_selector_language"
                    android:button="@null"
                    android:maxHeight="90dp"
                    android:minHeight="78dp"
                    android:paddingLeft="40dp"
                    android:text="Česky(捷克语)"
                    android:textSize="32sp" />

                <RadioButton
                    android:id="@+id/rb_luomaniya"
                    android:layout_width="400dp"
                    android:layout_height="wrap_content"
                    android:layout_marginRight="20dp"
                    android:layout_marginBottom="40dp"
                    android:textColor="#576478"
                    android:background="@drawable/backstage_selector_language"
                    android:button="@null"
                    android:maxHeight="90dp"
                    android:minHeight="78dp"
                    android:paddingLeft="40dp"
                    android:text="Românesc(罗马尼亚语)"
                    android:textSize="32sp" />

                <RadioButton
                    android:textColor="#576478"
                    android:id="@+id/rb_nuowei"
                    android:layout_width="400dp"
                    android:layout_height="wrap_content"
                    android:layout_marginRight="20dp"
                    android:layout_marginBottom="40dp"
                    android:background="@drawable/backstage_selector_language"
                    android:button="@null"
                    android:maxHeight="90dp"
                    android:minHeight="78dp"
                    android:paddingLeft="40dp"
                    android:text="Norsk språk(挪威语)"
                    android:textSize="32sp" />

                <RadioButton
                    android:id="@+id/rb_putaoya"
                    android:textColor="#576478"
                    android:layout_width="400dp"
                    android:layout_height="wrap_content"
                    android:layout_marginRight="20dp"
                    android:layout_marginBottom="40dp"
                    android:background="@drawable/backstage_selector_language"
                    android:button="@null"
                    android:maxHeight="90dp"
                    android:minHeight="78dp"
                    android:paddingLeft="40dp"
                    android:text="Português(葡萄牙语)"
                    android:textSize="32sp" />

                <RadioButton
                    android:id="@+id/rb_ruishi"
                    android:layout_width="400dp"
                    android:layout_height="wrap_content"
                    android:layout_marginRight="20dp"
                    android:textColor="#576478"
                    android:layout_marginBottom="40dp"
                    android:background="@drawable/backstage_selector_language"
                    android:button="@null"
                    android:maxHeight="90dp"
                    android:minHeight="78dp"
                    android:paddingLeft="40dp"
                    android:text="Svenska(瑞典语)"
                    android:textSize="32sp" />

                <RadioButton
                    android:id="@+id/rb_sifaluoke"
                    android:layout_width="400dp"
                    android:layout_height="wrap_content"
                    android:layout_marginRight="20dp"
                    android:layout_marginBottom="40dp"
                    android:textColor="#576478"
                    android:background="@drawable/backstage_selector_language"
                    android:button="@null"
                    android:maxHeight="90dp"
                    android:minHeight="78dp"
                    android:paddingLeft="40dp"
                    android:text="Slovenského jazyk(斯洛伐克语)"
                    android:textSize="32sp" />

                <RadioButton
                    android:id="@+id/rb_xiongyali"
                    android:layout_width="400dp"
                    android:layout_height="wrap_content"
                    android:layout_marginRight="20dp"
                    android:layout_marginBottom="40dp"
                    android:background="@drawable/backstage_selector_language"
                    android:textColor="#576478"
                    android:button="@null"
                    android:maxHeight="90dp"
                    android:minHeight="78dp"
                    android:paddingLeft="40dp"
                    android:text="Magyar(匈牙利语)"
                    android:textSize="32sp" />


                <RadioButton
                    android:id="@+id/rb_yidali"
                    android:layout_width="400dp"
                    android:layout_height="wrap_content"
                    android:textColor="#576478"
                    android:layout_marginRight="20dp"
                    android:layout_marginBottom="40dp"
                    android:background="@drawable/backstage_selector_language"
                    android:button="@null"
                    android:maxHeight="90dp"
                    android:minHeight="78dp"
                    android:paddingLeft="40dp"
                    android:text="Lingua italiana(意大利语)"
                    android:textSize="32sp" />

                <RadioButton
                    android:id="@+id/rb_taiwang"
                    android:layout_width="400dp"
                    android:layout_height="wrap_content"
                    android:layout_marginRight="20dp"
                    android:layout_marginBottom="40dp"
                    android:background="@drawable/backstage_selector_language"
                    android:button="@null"
                    android:maxHeight="90dp"
                    android:minHeight="78dp"
                    android:paddingLeft="40dp"
                    android:textColor="#576478"
                    android:text="繁体中文"
                    android:textSize="32sp" />


                <RadioButton
                    android:id="@+id/rb_hany"
                    android:layout_width="400dp"
                    android:layout_height="wrap_content"
                    android:layout_marginRight="20dp"
                    android:layout_marginBottom="40dp"
                    android:background="@drawable/backstage_selector_language"
                    android:button="@null"
                    android:maxHeight="90dp"
                    android:minHeight="78dp"
                    android:paddingLeft="40dp"
                    android:textColor="#576478"
                    android:text="한국어(韩语)"
                    android:textSize="32sp" />

                <RadioButton
                    android:id="@+id/rb_bolan"
                    android:layout_width="400dp"
                    android:layout_height="wrap_content"
                    android:layout_marginRight="20dp"
                    android:layout_marginBottom="40dp"
                    android:background="@drawable/backstage_selector_language"
                    android:button="@null"
                    android:maxHeight="90dp"
                    android:textColor="#576478"
                    android:minHeight="78dp"
                    android:paddingLeft="40dp"
                    android:text="Polska(波兰语)"
                    android:textSize="32sp" />

                <RadioButton
                    android:id="@+id/rb_wukelan"
                    android:layout_width="400dp"
                    android:layout_height="wrap_content"
                    android:layout_marginRight="20dp"
                    android:layout_marginBottom="40dp"
                    android:background="@drawable/backstage_selector_language"
                    android:textColor="#576478"
                    android:button="@null"
                    android:maxHeight="90dp"
                    android:minHeight="78dp"
                    android:paddingLeft="40dp"
                    android:text="Ukrainian(乌克兰语)"
                    android:textSize="32sp" />

                <RadioButton
                    android:id="@+id/rb_ymny"
                    android:textColor="#576478"
                    android:layout_width="400dp"
                    android:layout_height="wrap_content"
                    android:layout_marginRight="20dp"
                    android:layout_marginBottom="40dp"
                    android:background="@drawable/backstage_selector_language"
                    android:button="@null"
                    android:maxHeight="90dp"
                    android:minHeight="78dp"
                    android:paddingLeft="40dp"
                    android:text="Հայաստան(亚美尼亚语)"
                    android:textSize="32sp" />


                <RadioButton
                    android:id="@+id/rb_alb"
                    android:layout_width="400dp"
                    android:layout_height="wrap_content"
                    android:layout_marginRight="20dp"
                    android:textColor="#576478"
                    android:layout_marginBottom="40dp"
                    android:background="@drawable/backstage_selector_language"
                    android:button="@null"
                    android:maxHeight="90dp"
                    android:minHeight="78dp"
                    android:paddingLeft="40dp"
                    android:text="عرب(阿拉伯语)"
                    android:textSize="32sp" />

                <RadioButton
                    android:id="@+id/rb_tg"
                    android:layout_width="400dp"
                    android:layout_height="wrap_content"
                    android:layout_marginRight="20dp"
                    android:layout_marginBottom="40dp"
                    android:textColor="#576478"
                    android:background="@drawable/backstage_selector_language"
                    android:button="@null"
                    android:maxHeight="90dp"
                    android:minHeight="78dp"
                    android:paddingLeft="40dp"
                    android:text="ไทย(泰语)"
                    android:textSize="32sp" />


                <RadioButton
                    android:id="@+id/rb_ysl"
                    android:layout_width="400dp"
                    android:textColor="#576478"
                    android:layout_height="wrap_content"
                    android:layout_marginRight="20dp"
                    android:layout_marginBottom="40dp"
                    android:background="@drawable/backstage_selector_language"
                    android:button="@null"
                    android:maxHeight="90dp"
                    android:minHeight="78dp"
                    android:paddingLeft="40dp"
                    android:text="(希伯来语)יִשׂרְאֵלִ"
                    android:textSize="32sp" />

                <RadioButton
                    android:id="@+id/rb_brazil2"
                    android:layout_width="400dp"
                    android:layout_height="wrap_content"
                    android:textColor="#576478"
                    android:layout_marginRight="20dp"
                    android:layout_marginBottom="40dp"
                    android:background="@drawable/backstage_selector_language"
                    android:button="@null"
                    android:maxHeight="90dp"
                    android:minHeight="78dp"
                    android:paddingLeft="40dp"
                    android:text="Brasil-2DHR(巴西语)"
                    android:textSize="32sp" />

                <RadioButton
                    android:id="@+id/rb_gljy"
                    android:layout_width="400dp"
                    android:layout_height="wrap_content"
                    android:layout_marginEnd="20dp"
                    android:textColor="#576478"
                    android:layout_marginBottom="40dp"
                    android:background="@drawable/backstage_selector_language"
                    android:button="@null"
                    android:maxHeight="90dp"
                    android:minHeight="78dp"
                    android:paddingVertical="5dp"
                    android:paddingStart="40dp"
                    android:text="საქართველოს(格鲁吉亚语)"
                    android:textSize="32sp" />

                <RadioButton
                    android:id="@+id/rb_brazil3"
                    android:textColor="#576478"
                    android:layout_width="400dp"
                    android:layout_height="wrap_content"
                    android:layout_marginRight="20dp"
                    android:layout_marginBottom="40dp"
                    android:background="@drawable/backstage_selector_language"
                    android:button="@null"
                    android:maxHeight="90dp"
                    android:minHeight="78dp"
                    android:paddingLeft="40dp"
                    android:text="Brasil-3(巴西语)"
                    android:textSize="32sp" />

                <RadioButton
                    android:id="@+id/rb_turkey"
                    android:layout_width="400dp"
                    android:layout_height="wrap_content"
                    android:layout_marginRight="20dp"
                    android:layout_marginBottom="40dp"
                    android:textColor="#576478"
                    android:background="@drawable/backstage_selector_language"
                    android:button="@null"
                    android:maxHeight="90dp"
                    android:minHeight="78dp"
                    android:paddingLeft="40dp"
                    android:text="Türkiye(土耳其语)"
                    android:textSize="32sp" />

                <RadioButton
                    android:id="@+id/rb_latvia"
                    android:layout_width="400dp"
                    android:layout_height="wrap_content"
                    android:textColor="#576478"
                    android:layout_marginRight="20dp"
                    android:layout_marginBottom="40dp"
                    android:background="@drawable/backstage_selector_language"
                    android:button="@null"
                    android:maxHeight="90dp"
                    android:minHeight="78dp"
                    android:paddingLeft="40dp"
                    android:text="Latvija(拉脱维亚语)"
                    android:textSize="32sp" />


                <RadioButton
                    android:id="@+id/rb_portugal_ra"
                    android:layout_width="400dp"
                    android:layout_height="wrap_content"
                    android:textColor="#576478"
                    android:layout_marginRight="20dp"
                    android:layout_marginBottom="40dp"
                    android:background="@drawable/backstage_selector_language"
                    android:button="@null"
                    android:maxHeight="90dp"
                    android:minHeight="78dp"
                    android:paddingLeft="40dp"
                    android:text="Portugal RA(葡萄牙语)"
                    android:textSize="32sp" />

                <RadioButton
                    android:id="@+id/rb_eesti"
                    android:layout_width="400dp"
                    android:layout_height="wrap_content"
                    android:layout_marginRight="20dp"
                    android:textColor="#576478"
                    android:layout_marginBottom="40dp"
                    android:background="@drawable/backstage_selector_language"
                    android:button="@null"
                    android:maxHeight="90dp"
                    android:minHeight="78dp"
                    android:paddingLeft="40dp"
                    android:text="Eesti(爱沙尼亚)"
                    android:textSize="32sp" />


                <RadioButton
                    android:id="@+id/rb_mgy"
                    android:textColor="#576478"
                    android:layout_width="400dp"
                    android:layout_height="wrap_content"
                    android:layout_marginRight="20dp"
                    android:layout_marginBottom="40dp"
                    android:background="@drawable/backstage_selector_language"
                    android:button="@null"
                    android:maxHeight="90dp"
                    android:minHeight="78dp"
                    android:paddingLeft="40dp"
                    android:text="Монгол(蒙古语)"
                    android:textSize="32sp" />

                <RadioButton
                    android:id="@+id/rb_bsy"
                    android:layout_width="400dp"
                    android:layout_height="wrap_content"
                    android:layout_marginRight="20dp"
                    android:layout_marginBottom="40dp"
                    android:background="@drawable/backstage_selector_language"
                    android:button="@null"
                    android:maxHeight="90dp"
                    android:textColor="#576478"
                    android:minHeight="78dp"
                    android:paddingLeft="40dp"
                    android:text="فارسی(波斯语)"
                    android:textSize="32sp" />

                <RadioButton
                    android:id="@+id/rb_slwny"
                    android:layout_width="400dp"
                    android:layout_height="wrap_content"
                    android:layout_marginRight="20dp"
                    android:layout_marginBottom="40dp"
                    android:background="@drawable/backstage_selector_language"
                    android:button="@null"
                    android:maxHeight="90dp"
                    android:minHeight="78dp"
                    android:textColor="#576478"
                    android:paddingLeft="40dp"
                    android:text="فارسی(斯洛文尼亚语)"
                    android:textSize="32sp" />

                <RadioButton
                    android:id="@+id/rb_kldy"
                    android:layout_width="400dp"
                    android:layout_height="wrap_content"
                    android:layout_marginRight="20dp"
                    android:layout_marginBottom="40dp"
                    android:background="@drawable/backstage_selector_language"
                    android:button="@null"
                    android:textColor="#576478"
                    android:maxHeight="90dp"
                    android:minHeight="78dp"
                    android:paddingLeft="40dp"
                    android:text="(克罗地亚语)Hrvatski"
                    android:textSize="32sp" />

                <RadioButton
                    android:id="@+id/rb_bsny"
                    android:layout_width="400dp"
                    android:layout_height="wrap_content"
                    android:layout_marginRight="20dp"
                    android:layout_marginBottom="40dp"
                    android:background="@drawable/backstage_selector_language"
                    android:button="@null"
                    android:maxHeight="90dp"
                    android:minHeight="78dp"
                    android:paddingLeft="40dp"
                    android:text="(波斯尼亚语)Bosanski"
                    android:textColor="#576478"
                    android:textSize="32sp" />
            </com.module.backstage.weight.FlowRadioGroup>
        </androidx.core.widget.NestedScrollView>


    </com.ldt.springback.view.SpringBackLayout>
    <TextView
        android:id="@+id/btn_ok"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginBottom="20dp"
        android:background="@drawable/backstage_shape_gen_content"
        android:gravity="center"
        android:minWidth="280dp"
        android:minHeight="80dp"
        android:paddingHorizontal="10dp"
        android:text="@string/base_backstage_confirm_update"
        android:textColor="@color/white"
        android:textSize="42sp"
        android:textStyle="bold"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent" />
</androidx.constraintlayout.widget.ConstraintLayout>